SciQLOP - User story #1180

Initialisation du projet
11/05/2017 03:03 PM - Alexis Jeandet

Status: In Progress Spent time:
Priority: Normal

Assignee: adminlpp adminlpp

Category: legacy

Target version:

Story points: 22 Module:

0.00 hour

Initialisation

Description

Le projet doit comporter une chaine de compilation et d'intégration compléte via CMake

Subtasks:

Task # 1344: Compilation du projet Closed
Task # 1345: Incorporation de vera++ Closed
Task # 1346: Incorporation de ClangFormat Closed
Task # 1347: Incorporation de Clang Analyzer Closed
Task # 1348: Incorporation de cppcheck Closed
Task # 1349: Initialisation de I'API de logging Closed
Task # 1350: Mise en place des tests unitaires (Qt Test) Closed
Task # 1351: Initialisation du dép6t git Closed
Task # 1352: Connexion au dépot git (RhodeCode) Closed
Task # 1353: Initialisation du backlog (Redmine) Closed
Task # 1355: Connexion de Slack a RhodeCode Closed
Task # 1356: Connexion de Slack & Redmine Closed
Task # 1357: Connexion de Slack a TeamCity Closed
Task # 1359: Intégration continue (TeamCity) Closed
Task # 1379: Incorporation de clazy Closed
History

#1 - 11/05/2017 05:42 PM - Anonymous
- Sprint set to Product backlog

- Position changed from 62 to 200

#2 - 11/05/2017 05:53 PM - Anonymous

- Sprint changed from Product backlog to Sprintinitialization

- Position changed from 200 to 1

#3 - 08/06/2017 08:37 PM - adminlpp adminlpp

- Tracker changed from Epic story to User story

#4 - 14/02/2019 10:09 AM - Nicolas Aunai

- Category set to legacy
